observation

## Class Observation

- java.lang.Object
- - observation.Observation

All Implemented Interfaces:
  java.io.Serializable

    public class Observation
    extends java.lang.Object
    implements java.io.Serializable

The Class Observation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Observation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addContextList(Context c)` Adds the context list.
`void` `addPerceptList(Percept p)` Adds the percept list.
`Context` `getContextById(java.lang.String id)` Gets the context by id.
`java.util.ArrayList<Context>` `getContextList()` Gets the context list.
`java.util.ArrayList<Percept>` `getPerceptList()` Gets the percept list.
`int` `getTick()` Gets the tick.
`void` `setTick(int tick)` Sets the tick.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Observation

    public Observation()

### Method Detail

#### setTick

    public void setTick(int tick)

Sets the tick.

Parameters:
  `tick` - the new tick

#### addPerceptList

    public void addPerceptList(Percept p)

Adds the percept list.

Parameters:
  `p` - the p

#### addContextList

    public void addContextList(Context c)

Adds the context list.

Parameters:
  `c` - the c

#### getTick

    public int getTick()

Gets the tick.

Returns:
  the tick

#### getPerceptList

    public java.util.ArrayList<Percept> getPerceptList()

Gets the percept list.

Returns:
  the percept list

#### getContextList

    public java.util.ArrayList<Context> getContextList()

Gets the context list.

Returns:
  the context list

#### getContextById

    public Context getContextById(java.lang.String id)

Gets the context by id.

Parameters:
  `id` - the id
Returns:
  the context by id